#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: tls
version: 1.3.1
id: tls-1.3.1-927e0c5e2570e5757de2d7631a2db5a3
key: tls_GQZ2pfG8AarISsjMrei8EQ
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
synopsis: TLS/SSL protocol native implementation (Server and Client)
description:
    Native Haskell TLS and SSL protocol implementation for server and client.
    .
    This provides a high-level implementation of a sensitive security protocol,
    eliminating a common set of security issues through the use of the advanced
    type system, high level constructions and common Haskell features.
    .
    Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
    and support RSA and Ephemeral (Elliptic curve and regular) Diffie Hellman key exchanges,
    and many extensions.
    .
    Some debug tools linked with tls, are available through the
    <http://hackage.haskell.org/package/tls-debug/>.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Network.TLS Network.TLS.Cipher Network.TLS.Compression
    Network.TLS.Internal Network.TLS.Extra Network.TLS.Extra.Cipher
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Context.Internal
                Network.TLS.Credentials Network.TLS.Backend Network.TLS.Crypto
                Network.TLS.Crypto.DH Network.TLS.Crypto.ECDH Network.TLS.ErrT
                Network.TLS.Extension Network.TLS.Extension.EC
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Key
                Network.TLS.Handshake.Client Network.TLS.Handshake.Server
                Network.TLS.Handshake.Process Network.TLS.Handshake.Signature
                Network.TLS.Handshake.State Network.TLS.Hooks Network.TLS.IO
                Network.TLS.MAC Network.TLS.Measurement Network.TLS.Packet
                Network.TLS.Parameters Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.Record.State Network.TLS.RNG Network.TLS.State
                Network.TLS.Session Network.TLS.Sending Network.TLS.Receiving
                Network.TLS.Util Network.TLS.Util.ASN1
                Network.TLS.Util.Serialization Network.TLS.Types Network.TLS.Wire
                Network.TLS.X509
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/tls-1.3.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/tls-1.3.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/tls-1.3.1
hs-libraries: HStls-1.3.1-GQZ2pfG8AarISsjMrei8EQ
include-dirs: /usr/local/include
depends:
    asn1-encoding-0.9.0-89bd47673ec61adb7074b3771cc762ab
    asn1-types-0.3.0-6f800ff3317544117637425e5b85e4d2
    async-2.0.2-6484dcf15ca4de432a7ed3bf689cd0df
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    byteable-0.1.1-bfa09dbd630209bae1d4ccf4d6372eb1
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    cereal-0.4.1.1-cd268fee4c78d462bd047c7f42b274a0
    cryptonite-0.6-66a8044d94610d4f62acd8e6eac60adc
    data-default-class-0.0.1-06f131700d8043a79c55259693817561
    memory-0.8-d29d89eb0a4e91f5857c6f5067fa06f4
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    network-2.6.2.1-1efabe34c29aae7dc76038169a9c7a77
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    x509-1.6.0-d956df5a733448ae2c91b8cbfaed2bd6
    x509-store-1.6.0-e7c5a815781486614f975419be957c44
    x509-validation-1.6.0-f40dfb34207560933360db1b0b9fdb06
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/tls-1.3.1/html/tls.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/tls-1.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
